Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface DefinedObject

All Known Subinterfaces:
  Action, ActionCache, ActionCall, ActionChanged, ActionConcurrent, ActionForEach, ActionForEachHomogeneous, ActionGroup, ActionTo, ActivationOrder, ActiveGraph, ActiveOutFile, Activity, ActivityControl, ArchivedGeometryWidget, Archiver, Arguments, Array, Averager, BasicRandomGenerator, BehaviorPhase, BernoulliDist, BinomialDist, BooleanDistribution, C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, Ca2d, Canvas, CanvasAbstractItem, CanvasItem, Collection, Colormap, CommonProbeDisplay, CompleteProbeDisplay, CompleteProbeMap, CompleteVarMap, CompositeItem, CompoundAction, ConcurrentGroup, ConcurrentSchedule, ControlPanel, ConwayLife2d, Create, CreatedClass, CustomProbeMap, DblBuffer2d, DefaultProbeMap, DefinedClass, Diffuse2d, Discrete2d, DoubleDistribution, EmptyProbeMap, Entropy, Error, EventType, ExponentialDist, EZAverageSequence, EZBin, EZDistribution, EZGraph, EZSequence, FAction, FActionForEach, FActionForEachHeterogeneous, FActionForEachHomogeneous, FArguments, FCall, ForEachActivity, GammaDist, Graph, GraphElement, Grid2d, GUISwarm, HDF5, HDF5Archiver, Histogram, Index, Int2dFiler, IntegerDistribution, KeyedCollection, KeyedCollectionIndex, LinkItem, LispArchiver, List, ListIndex, ListShuffler, LogNormalDist, Map, MapIndex, MessageProbe, MT19937gen, MultiVarProbeDisplay, NodeItem, Normal, NormalDist, NSelect, Object2dDisplay, OvalNodeItem, Permutation, PermutationItem, PermutedIndex, Pixmap, PMMLCG1gen, PMMLCGgen, PoissonDist, ProbabilityDistribution, Probe, ProbeDisplay, ProbeDisplayManager, ProbeLibrary, ProbeMap, PSWBgen, QSort, RandomBitDist, Raster, RectangleNodeItem, Schedule, ScheduleActivity, SimpleProbeDisplay, SimpleRandomGenerator, SingleProbeDisplay, SplitRandomGenerator, String, Swarm, SwarmActivity, SwarmObject, SwarmProcess, Symbol, UName, UniformDoubleDist, UniformIntegerDist, UniformUnsignedDist, UnsignedDistribution, Value2dDisplay, VarProbe, Warning, Widget, Zone, ZoomRaster

public interface DefinedObject
extends GetName, GetNameS

Object with defined type and implementation.. DefinedObject is the top-level supertype for all objects that follow the object programming conventions of the defobj library. The messages defined by this type are the only messages which should be assumed to be automatically available on objects that follow these conventions. In particular, use of messages defined by the Object superclass of the GNU Objective C runtime should not generally be assumed because future implementations of some objects might not give continued access to them. The DefinedObject type defines a minimum of standard messages, and leaves to other types the definition of message that might or might not apply in any general way to particular objects.

Method Summary
`int` | `compare(java.lang.Object anObject)` A local implementation of an Object method.
`void` | `describe(java.lang.Object outputCharStream)` The describe: message prints a brief description of the object for debug purposes to the object passed as its argument.
`void` | `describeID(java.lang.Object outputCharStream)` Prints a one-line describe string, consisting of the built-in default to outputCharStream.
`java.lang.String` | `getDisplayName()` Return a string that identifies an object for external display purposes, either from a previously assigned string or an identification string default
`java.lang.String` | `getTypeName()` getTypeName returns the name of the originating type of this object.
`Zone` | `getZone()` The getZone message returns the zone in which the object was created.
`java.lang.Object` | `perform(Selector aSel)` A local implementation of an Object method.
`java.lang.Object` | `perform$with(Selector aSel, java.lang.Object anObject1)` A local implementation of an Object method.
`java.lang.Object` | `perform$with$with(Selector aSel, java.lang.Object anObject1, java.lang.Object anObj2)` A local implementation of an Object method.
`java.lang.Object` | `perform$with$with$with(Selector aSel, java.lang.Object anObject1, java.lang.Object anObj2, java.lang.Object anObj3)` Perform a selector with three object arguments.
`boolean` | `respondsTo(Selector aSel)` The respondsTo: message returns true if the object implements the message identified by the selector argument.
`void` | `setDisplayName(java.lang.String displayName)` Assigns a character string as a name that identifies an object for display or debug purposes.
`void` | `xfprint()` print description for each member of a collection on debug output stream
`void` | `xfprintid()` print id for each member of a collection on debug output stream
`void` | `xprint()` Like describe:, but output goes to standard output.
`void` | `xprintid()` Like describeID:, but output goes to standard output.

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### respondsTo

    public boolean respondsTo(Selector aSel)

  The respondsTo: message returns true if the object implements the message identified by the selector argument. To implement a message means only that some method will receive control if the message is sent to the object. (The method could still raise an error.) The respondsTo: message is implemented by direct lookup in a method dispatch table, so is just as fast as a normal message send. It provides a quick way to test whether the type of an object includes a particular message.

### getTypeName

    public java.lang.String getTypeName()

  getTypeName returns the name of the originating type of this object.

### compare

    public int compare(java.lang.Object anObject)

  A local implementation of an Object method.

### perform

    public java.lang.Object perform(Selector aSel)

  A local implementation of an Object method.

### perform$with

    public java.lang.Object perform$with(Selector aSel,
                                         java.lang.Object anObject1)

  A local implementation of an Object method.

### perform$with$with

    public java.lang.Object perform$with$with(Selector aSel,
                                              java.lang.Object anObject1,
                                              java.lang.Object anObj2)

  A local implementation of an Object method.

### perform$with$with$with

    public java.lang.Object perform$with$with$with(Selector aSel,
                                                   java.lang.Object anObject1,
                                                   java.lang.Object anObj2,
                                                   java.lang.Object anObj3)

  Perform a selector with three object arguments.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Assigns a character string as a name that identifies an object for display or debug purposes.

### getDisplayName

    public java.lang.String getDisplayName()

  Return a string that identifies an object for external display purposes, either from a previously assigned string or an identification string default

### describe

    public void describe(java.lang.Object outputCharStream)

  The describe: message prints a brief description of the object for debug purposes to the object passed as its argument. The object passed as the outputCharStream argument must accept a catC: message as defined in String and OutputStream in the collections library. Particular object types may generate object description strings with additional information beyond the built-in default, which is just to print the hex value of the object id pointer along with the name of its class, and the display name of the object, if any.

### describeID

    public void describeID(java.lang.Object outputCharStream)

  Prints a one-line describe string, consisting of the built-in default to outputCharStream.

### xprint

    public void xprint()

  Like describe:, but output goes to standard output.

### xprintid

    public void xprintid()

  Like describeID:, but output goes to standard output.

### xfprint

    public void xfprint()

  print description for each member of a collection on debug output stream

### xfprintid

    public void xfprintid()

  print id for each member of a collection on debug output stream

### getZone

    public Zone getZone()

  The getZone message returns the zone in which the object was created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD